## projectwonder 6.0.0

=== debian/changelog ===
projectwonder (6.0.0-1squeeze1) stable; urgency=low

  * Initial release.

 -- Bastian Triller <bastian.triller@gmail.com>  Wed, 09 Jan 2013 20:18:36 +0100
