=== debian/control ===
Source: projectwonder
Maintainer: Bastian Triller <bastian.triller@gmail.com>
Section: java
Priority: optional
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.3.8), apache2-prefork-dev, ant, webobjects, default-jdk

Package: libapache2-mod-wo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2-mpm-prefork
Description: WebObjects adaptor module for Apache2.2
 http://wonder.sf.net/
 http://www.apple.com/ca/webobjects/

Package: projectwonder-wotaskd
Architecture: all
Depends: ${misc:Depends}, webobjects, libprojectwonder-javamonitor-java, libprojectwonder-rest-java
Suggests: javamonitor
Provides: wotaskd
Description: WebObjects Task Daemon with Project Wonder extensions
 http://wiki.wocommunity.org/display/documentation/Wonder+JavaMonitor+and+wotaskd

Package: projectwonder-javamonitor
Architecture: all
Depends: ${misc:Depends}, webobjects, libprojectwonder-ajax-java, libprojectwonder-javamonitor-java, libprojectwonder-rest-java
Recommends: wotaskd
Provides: javamonitor
Description: WebObjects Java Monitor with Project Wonder extensions
 http://wiki.wocommunity.org/display/documentation/Wonder+JavaMonitor+and+wotaskd

Package: libprojectwonder-core-java
Architecture: all
Depends: ${misc:Depends}, libprojectwonder-javawoextensions-java
Description: Project Wonder Core Frameworks
 ERExtensions, ERJars, JavaWOExtensions

Package: libprojectwonder-rest-java
Architecture: all
Depends: ${misc:Depends}, libprojectwonder-core-java
Description: Project Wonder Rest Framework
 ERRest Framework

Package: libprojectwonder-javawoextensions-java
Architecture: all
Depends: ${misc:Depends}, webobjects
Description: Project Wonder JavaWOExtensions Framework
 JavaWOExtensions Framework

Package: libprojectwonder-javamonitor-java
Architecture: all
Depends: ${misc:Depends}, libprojectwonder-core-java
Description: Project Wonder Java Monitor Framework
 JavaMonitor Framework

Package: libprojectwonder-ajax-java
Architecture: all
Depends: ${misc:Depends}, libprojectwonder-core-java
Description: Project Wonder Ajax Framework
 Ajax Framework
